function [ aoa ] = CalUWBAOA(pdoa)
    Lambda = 3e8/6.5e9;    % UWB波长
    D_M = 0.0208;          % 久凌天线间距
    aoa = zeros(length(pdoa),1);
    for ii=1:length(pdoa)
        if pdoa(ii) < -180.0
            pdoa(ii)=pdoa(ii)+ 360.0;
        elseif pdoa(ii) > 180.0
            pdoa(ii)=pdoa(ii)-360.0;
        end
        phase_m = pdoa(ii) * (Lambda/360.0);
        % 天线非线性矫正
        % coef=[-14205, 419, 4.59, 0.8361,0];
        % phase_m = coef(1)+coef(2)*phase_m+coef(3)*phase_m^2+coef(4)*phase_m^3+coef(5)*phase_m^4;
        alfa = phase_m / D_M;
        if alfa < -1
            alfa = -1;
        elseif alfa > 1
            alfa = 1;
        end
        aoa(ii)=asind(alfa);
    end
end

